# Uses of Class
org.apache.commons.math3.ml.clustering.Cluster

Packages that use Cluster
Package
Description
org.apache.commons.math3.ml.clustering
Clustering algorithms.
org.apache.commons.math3.ml.clustering.evaluation
Cluster evaluation methods.

## Uses of Cluster in org.apache.commons.math3.ml.clustering

Subclasses of Cluster in org.apache.commons.math3.ml.clustering
Modifier and Type
Class
Description
`class`
`CentroidCluster<T extends Clusterable>`
A Cluster used by centroid-based clustering algorithms.
Methods in org.apache.commons.math3.ml.clustering that return types with arguments of type Cluster
Modifier and Type
Method
Description
`abstract List<? extends Cluster<T>>`
Clusterer.`cluster(Collection<T> points)`
Perform a cluster analysis on the given set of `Clusterable` instances.
`List<Cluster<T>>`
DBSCANClusterer.`cluster(Collection<T> points)`
Performs DBSCAN cluster analysis.

## Uses of Cluster in org.apache.commons.math3.ml.clustering.evaluation

Methods in org.apache.commons.math3.ml.clustering.evaluation with parameters of type Cluster
Modifier and Type
Method
Description
`protected Clusterable`
ClusterEvaluator.`centroidOf(Cluster<T> cluster)`
Computes the centroid for a cluster.
Method parameters in org.apache.commons.math3.ml.clustering.evaluation with type arguments of type Cluster
Modifier and Type
Method
Description
`abstract double`
ClusterEvaluator.`score(List<? extends Cluster<T>> clusters)`
Computes the evaluation score for the given list of clusters.
`double`
SumOfClusterVariances.`score(List<? extends Cluster<T>> clusters)`
Computes the evaluation score for the given list of clusters.